Page MenuHomePhabricator

[GlobalISel][TableGen] Fix ConstrainOperandRC bug
ClosedPublic

Authored by ehjogab on Dec 30 2020, 6:57 AM.

Details

Summary

TableGen would pick the largest RC for constraining the operands, which
could potentially be an unallocatable RC. This patch removes selection
of unallocatable RCs.

Diff Detail

Event Timeline

ehjogab created this revision.Dec 30 2020, 6:57 AM
ehjogab requested review of this revision.Dec 30 2020, 6:57 AM
Herald added a project: Restricted Project. · View Herald TranscriptDec 30 2020, 6:57 AM
Herald added a subscriber: wdng. · View Herald Transcript
ehjogab updated this revision to Diff 314118.Dec 30 2020, 7:00 AM

Fixed bad comment

arsenm accepted this revision.Jan 4 2021, 2:48 PM
This revision is now accepted and ready to land.Jan 4 2021, 2:48 PM
This revision was landed with ongoing or failed builds.Jan 5 2021, 12:38 AM
This revision was automatically updated to reflect the committed changes.

I pushed this for @ehjogab